#!/bin/bash

if [ -f "/var/run/supersync.pid" ]
then
	PID=`cat /var/run/supersync.pid`
	echo "Stopping SuperSync on PID: ${PID}"
	
	timeout -s KILL 60 wget -q https://localhost:5360/admin?cmd=quit\&pid=${PID} -O /dev/null
	
	SECS=0
	
	while [ ${SECS} -le 30 ]
	do
		if [ ! -f /var/run/supersync.pid ]
		then
			echo "SuperSync Service Stopped"
			exit 0;
		fi
		SECS=$((SECS+1))
		sleep 1
	done
	
	echo "SuperSync not stopped. Killing."
	/opt/supersync/kill.sh
	else
	echo "SuperSync not running"
fi

exit 0
